originalFolder = "/data/";
JPEGfolder = "/jpg/";

folderRef = new Folder(originalFolder);
fileList = folderRef.getFiles("*.jpg");
for (i=0; i<fileList.length; i++)
{
	// JPEG file open
	fileRef = new File(fileList[i].fullName);
	fName = fileList[i].name;
	flag = true;

	try{
		open(fileRef);
	}
	catch(e){
		flag = false;
		// File delete
		fileRef.remove();
	}

	if (flag)
	{
		// File open OK -> trim image
		activeDocument.trim(TrimType.TOPLEFT, true, true, true, false);

		// JPEG file save
		saveJPEG(JPEGfolder+fName);

		// Document close
		activeDocument.close(SaveOptions.DONOTSAVECHANGES);
	}

}

// JPEG save ================================================
function saveJPEG(filename)
{
	// JPEG file save
	var fileObj = new File(filename);
	var jpegOpt = new JPEGSaveOptions();
	jpegOpt.embedColorProfile = true;
	jpegOpt.quality = 3;
	jpegOpt.formatOptions = FormatOptions.PROGRESSIVE;
	jpegOpt.scans = 3;
	jpegOpt.matte = MatteType.NONE;
	activeDocument.saveAs(fileObj, jpegOpt, true, Extension.LOWERCASE);
}


